{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "recipes_needlearrow"
    },
    "tags": [
      "heavyworkbench"
    ],
    "pattern": [
      "  A",
      " B ",
      "B  "
      ],
    "key": {
      "A": {
        "item": "material:steel_ingot",
        "data": 0
      },
      "B": {
        "item": "material:improvisedhandle",
        "data": 0
      }
    },
    "result": {
      "item": "ammo:needlearrow",
      "count": 4,
      "data": 0
    }
  }
}